/**
 * Camera device
 * Represents the actual on device camera.
 * Implemented as instance based, though keeping in mind the actual camera is a singleton.
 * API must stay in sync with CameraSimulator.
 */

function CameraDevice() {
}

CameraDevice.prototype = {

	/**
	 * @param args {
	 *   overlay:
	 *   successFn:
	 *   errorFn:
	 * }
	 */
	showCamera: function(args) {
		Ti.Media.showCamera({
			overlay: args.overlay,
			success: args.successFn,
			error: args.errorFn,

			// These don't vary
			saveToPhotoGallery: false,
			allowEditing: false,
			mediaTypes: [Ti.Media.MEDIA_TYPE_PHOTO],
			showControls: false,
			autohide: false,
			transform: Ti.UI.create2DMatrix().scale(1, 1) // MB-27744 - Camera preview is stretched when using a custom overlay.
		});
	},

	takePicture: function() {
		Ti.Media.takePicture();
	},

	hideCamera: function() {
		Ti.Media.hideCamera();
	}
}

module.exports = CameraDevice;
